Subject: Re: Bug#928029: planner: segfaulted; now segfaults on every start-up

From: Jonathan Dowland <[email-masked]>
Date: Fri, 17 May 2019 11:33:41 +0100

On Sat, Apr 27, 2019 at 09:07:03AM +0300, Yavor Doganov wrote:
>Control: tags -1 + unreproducible moreinfo
>
>Jonathan Dowland wrote:
>> Package: planner
>> Version: 0.14.6-7
>> Severity: important
>>
>> planner segfaulted me shortly after starting it for the first time
>> (upon inserting a new task); now, it segfaults upon each attempt to
>> start it.
>
>Thanks for the report; unfortunately I cannot reproduce it.  And
>that's an abort, not segfault.  Could you please run the planner
>executable in gdb with --g-fatal-warnings?

Sorry for mixing the two up. Here's a trace with --g-fatal-warnings.
ON this occasion the crash happened when I attempted to resize the
window.  Some additional context:  was running in a GNOME/Wayland
session. I'm going to try GNOME/Xorg now.

Trace:

(gdb) set args --g-fatal-warnings
(gdb) run
Starting program: /usr/bin/planner --g-fatal-warnings
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Gtk-Message: 11:16:05.042: Failed to load module "canberra-gtk-module"
[New Thread 0x7ffff2281700 (LWP 24278)]
[New Thread 0x7ffff1a80700 (LWP 24279)]
[New Thread 0x7ffff120c700 (LWP 24280)]
[New Thread 0x7fffe3a76700 (LWP 24284)]
[New Thread 0x7fffe3275700 (LWP 24285)]
[New Thread 0x7fffe250c700 (LWP 24286)]
[New Thread 0x7fffe1d0b700 (LWP 24287)]
[Thread 0x7fffe250c700 (LWP 24286) exited]
[Thread 0x7fffe3275700 (LWP 24285) exited]
[Thread 0x7fffe1d0b700 (LWP 24287) exited]
[New Thread 0x7fffe1d0b700 (LWP 24288)]
[New Thread 0x7fffe250c700 (LWP 24289)]
[Thread 0x7fffe1d0b700 (LWP 24288) exited]
[Thread 0x7fffe250c700 (LWP 24289) exited]
[Thread 0x7fffe3a76700 (LWP 24284) exited]

(planner:24274): GLib-GObject-CRITICAL **: 11:30:58.399: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Thread 4 "dconf worker" received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 0x7ffff120c700 (LWP 24280)]
0x00007ffff735bca5 in _g_log_abort (breakpoint=1) at ../../../glib/gmessages.c:554
554	../../../glib/gmessages.c: No such file or directory.
(gdb) bt
#0  0x00007ffff735bca5 in _g_log_abort (breakpoint=1) at ../../../glib/gmessages.c:554
#1  0x00007ffff735cfad in g_logv
    (log_domain=0x7ffff7464078 "GLib-GObject", log_level=G_LOG_LEVEL_CRITICAL, format=<optimized out>, args=args@entry=0x7ffff120b840) at ../../../glib/gmessages.c:1371
#2  0x00007ffff735d17f in g_log
    (log_domain=log_domain@entry=0x7ffff7464078 "GLib-GObject", log_level=log_level@entry=G_LOG_LEVEL_CRITICAL, format=format@entry=0x7ffff73ab6bc "%s: assertion '%s' failed") at ../../../glib/gmessages.c:1413
#3  0x00007ffff735d9a9 in g_return_if_fail_warning
    (log_domain=log_domain@entry=0x7ffff7464078 "GLib-GObject", pretty_function=pretty_function@entry=0x7ffff74675f8 <__FUNCTION__.14906> "g_object_ref", expression=expression@entry=0x7ffff74663bf "G_IS_OBJECT (object)")
    at ../../../glib/gmessages.c:2762
#4  0x00007ffff743ca3c in g_object_ref (_object=0x555555d00f00) at ../../../gobject/gobject.c:3212
#5  0x00007ffff74429b5 in g_weak_ref_get (weak_ref=<optimized out>) at ../../../gobject/gobject.c:4387
#6  0x00007ffff75a71d2 in g_settings_backend_invoke_closure (user_data=0x555555c9f740)
    at ../../../gio/gsettingsbackend.c:263
#7  0x00007ffff75a7370 in g_settings_backend_dispatch_signal
    (backend=0x5555556a9610 [DConfSettingsBackend], function_offset=8, name=0x555555c20f10 "/org/gnome/planner/views/task-view/assigned-to/", origin_tag=0x0, names=0x0) at ../../../gio/gsettingsbackend.c:334
#8  0x00007ffff275df09 in dconf_engine_watch_established
    (reply=<optimized out>, error=<optimized out>, handle=0x555555abea40, engine=0x5555556f3950)
    at ../engine/dconf-engine.c:963
#9  0x00007ffff275df09 in dconf_engine_watch_established
    (engine=0x5555556f3950, handle=0x555555abea40, reply=<optimized out>, error=<optimized out>)
    at ../engine/dconf-engine.c:938
#10 0x00007ffff2760bec in dconf_gdbus_method_call_done
    (source=<optimized out>, result=<optimized out>, user_data=user_data@entry=0x555555abea40)
    at ../gdbus/dconf-gdbus-thread.c:254
#11 0x00007ffff756a719 in g_task_return_now (task=0x7fffe80651e0 [GTask]) at ../../../gio/gtask.c:1148
#12 0x00007ffff756b196 in g_task_return (task=0x7fffe80651e0 [GTask], type=<optimized out>)
    at ../../../gio/gtask.c:1206
#13 0x00007ffff75c0b1a in g_dbus_connection_call_done
--Type <RET> for more, q to quit, c to continue without paging--
    (source=<optimized out>, result=0x7fffe804b840, user_data=user_data@entry=0x7fffe80651e0)
    at ../../../gio/gdbusconnection.c:5715
#14 0x00007ffff756a719 in g_task_return_now (task=0x7fffe804b840 [GTask]) at ../../../gio/gtask.c:1148
#15 0x00007ffff756a759 in complete_in_idle_cb (task=0x7fffe804b840) at ../../../gio/gtask.c:1162
#16 0x00007ffff7355dd8 in g_main_dispatch (context=0x555555717a00) at ../../../glib/gmain.c:3182
#17 0x00007ffff7355dd8 in g_main_context_dispatch (context=context@entry=0x555555717a00) at ../../../glib/gmain.c:3847
#18 0x00007ffff73561c8 in g_main_context_iterate
    (context=context@entry=0x555555717a00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at ../../../glib/gmain.c:3920
#19 0x00007ffff735625c in g_main_context_iteration (context=context@entry=0x555555717a00, may_block=may_block@entry=1)
    at ../../../glib/gmain.c:3981
#20 0x00007ffff2760ffd in dconf_gdbus_worker_thread (user_data=0x555555717a00) at ../gdbus/dconf-gdbus-thread.c:82
#21 0x00007ffff737e425 in g_thread_proxy (data=0x555555651000) at ../../../glib/gthread.c:784
#22 0x00007ffff716bfa3 in start_thread () at /lib/x86_64-linux-gnu/libpthread.so.0
#23 0x00007ffff709c4cf in clone () at /lib/x86_64-linux-gnu/libc.so.6